Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI.BasicFileView

    java.lang.Object
      |
      +--javax.swing.filechooser.FileView
            |
            +--javax.swing.plaf.basic.BasicFileChooserUI.BasicFileView

Enclosing class:
  BasicFileChooserUI

protected class BasicFileChooserUI.BasicFileView
extends FileView

Field Summary
`protected Hashtable` | `iconCache`

Constructor Summary
`BasicFileChooserUI.BasicFileView()`

Method Summary
`void` | `cacheIcon(File f, Icon i)`
`void` | `clearIconCache()`
`Icon` | `getCachedIcon(File f)`
`String` | `getDescription(File f)` A human readable description of the file.
`Icon` | `getIcon(File f)` The icon that represents this file in the JFileChooser.
`String` | `getName(File f)` The name of the file.
`String` | `getTypeDescription(File f)` A human readable description of the type of the file.
`Boolean` | `isHidden(File f)`
`Boolean` | `isTraversable(File f)` Whether the directory is traversable or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iconCache

    protected Hashtable iconCache

Constructor Detail

### BasicFileChooserUI.BasicFileView

    public BasicFileChooserUI.BasicFileView()

Method Detail

### clearIconCache

    public void clearIconCache()

### getName

    public String getName(File f)

  Description copied from class: `FileView`
  The name of the file. Normally this would be simply f.getName()
  Overrides:
    `getName` in class `FileView`

### getDescription

    public String getDescription(File f)

  Description copied from class: `FileView`
  A human readable description of the file. For example, a file named jag.jpg might have a description that read: "A JPEG image file of James Gosling's face"
  Overrides:
    `getDescription` in class `FileView`

### getTypeDescription

    public String getTypeDescription(File f)

  Description copied from class: `FileView`
  A human readable description of the type of the file. For example, a jpg file might have a type description of: "A JPEG Compressed Image File"
  Overrides:
    `getTypeDescription` in class `FileView`

### getCachedIcon

    public Icon getCachedIcon(File f)

### cacheIcon

    public void cacheIcon(File f,
                          Icon i)

### getIcon

    public Icon getIcon(File f)

  Description copied from class: `FileView`
  The icon that represents this file in the JFileChooser.
  Overrides:
    `getIcon` in class `FileView`

### isTraversable

    public Boolean isTraversable(File f)

  Description copied from class: `FileView`
  Whether the directory is traversable or not. This might be useful, for example, if you want a directory to represent a compound document and don't want the user to descend into it.
  Overrides:
    `isTraversable` in class `FileView`

### isHidden

    public Boolean isHidden(File f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.